Bug 1325884 (CVE-2016-4001)

Summary: CVE-2016-4001 Qemu: net: buffer overflow in stellaris_enet emulator
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, ailan, amit.shah, apevec, areis, ayoung, berrange, carnil, cfergeau, chrisw, dallan, drjones, dwmw2, gkotton, imammedo, itamar, jen, jschluet, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:50:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1325885, 1325886    
Bug Blocks: 1310508    

Description Prasad J Pandit 2016-04-11 12:20:53 UTC
Qemu emulator built with the Luminary Micro Stellaris Ethernet Controller
is vulnerable to a buffer overflow issue. It could occur while receiving
network packets in stellaris_enet_receive(), if the guest NIC is configured
to accept large(MTU) packets.

A remote user/process could use this flaw to crash the Qemu process on a host,
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-04/msg01334.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/04/11/4

Comment 1 Prasad J Pandit 2016-04-11 12:21:01 UTC
Acknowledgments:

Name: Oleksandr Bazhaniuk of Advanced Threat Research team at Intel Inc.

Comment 2 Prasad J Pandit 2016-04-11 12:22:30 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1325886]

Comment 3 Prasad J Pandit 2016-04-11 12:22:48 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1325885]

Comment 4 Prasad J Pandit 2016-04-12 10:26:13 UTC
Statement:

This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Andrej Nemec 2016-04-12 12:11:26 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/61

Comment 6 Fedora Update System 2016-04-30 00:25:03 UTC
xen-4.5.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-05-01 00:22:00 UTC
xen-4.5.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-07 12:04:20 UTC
xen-4.6.1-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-15 05:26:42 UTC
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-05-20 23:48:57 UTC
qemu-2.3.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.